Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCommonStyle Class Reference

The QCommonStyle class encapsulates the common Look and Feel of a GUI. More...

`#include <qcommonstyle.h>`

Inherits QStyle.

Inherited by QMotifStyle and QWindowsStyle.

List of all member functions.

## Public Members

- QCommonStyle ()

## Detailed Description

The QCommonStyle class encapsulates the common Look and Feel of a GUI.

This abstract class implements some of the widget's look and feel that is common to all GUI styles provided and shipped as part of Qt.

All the functions are documented in QStyle.

See also Widget Appearance and Style.

## Member Function Documentation

### QCommonStyle::QCommonStyle ()

Constructs a QCommonStyle.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.